Skip to main content
GET
/
hardware
# Docs for v1 can be found by changing the above selector ^
from together import Together
import os

client = Together(
    api_key=os.environ.get("TOGETHER_API_KEY"),
)

response = client.endpoints.list_hardware()

for hardware in response.data:
    print(hardware.id)
{
  "object": "<unknown>",
  "data": [
    {
      "object": "<unknown>",
      "id": "<string>",
      "pricing": {
        "cents_per_minute": 123
      },
      "specs": {
        "gpu_type": "<string>",
        "gpu_link": "<string>",
        "gpu_memory": 123,
        "gpu_count": 123
      },
      "updated_at": "2023-11-07T05:31:56Z",
      "availability": {
        "status": "available"
      }
    }
  ]
}

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

model
string

Filter hardware configurations by model compatibility. When provided, the response includes availability status for each compatible configuration. See all of Together AI's dedicated models

Example:

"deepseek-ai/DeepSeek-R1"

Response

List of available hardware configurations

object
any
required

The object type, which is always list.

data
object[]
required